# log4cpp::LevelEvaluator Class Reference

`#include <LevelEvaluator.hh>`

Inheritance diagram for log4cpp::LevelEvaluator:

[legend]
Collaboration diagram for log4cpp::LevelEvaluator:

[legend]
List of all members.

## Public Member Functions

| LevelEvaluator (Priority::Value level)
virtual bool | eval (const LoggingEvent &event) const

## Constructor & Destructor Documentation

log4cpp::LevelEvaluator::LevelEvaluator | ( | Priority::Value | level | ) | `[inline]`

## Member Function Documentation

virtual bool log4cpp::LevelEvaluator::eval | ( | const LoggingEvent & | event | ) | const`[inline, virtual]`

Implements log4cpp::TriggeringEventEvaluator.

The documentation for this class was generated from the following file:

- LevelEvaluator.hh